meshio: '5.3.5'
metis : 'native'
mpi4py: 'native'
+ mmg : '5.6.0'
+ mmgplugin: '4ea7299'
netgen : '5.3.1_with_CAS_7.8'
# comment out line above and uncomment the line below to use Netgen 6.
#netgen : '6.2.2101'
MeshGems : '2.15-1'
meshio: '5.3.5'
metis : '5.1.0'
+ mmg : '5.6.0'
+ mmgplugin: '4ea7299'
msvc : '2017'
netcdf : '4.6.2'
netCDF4: '1.6.5'
gcc : '8.5.0'
mpc : 'native'
gmp : 'native'
+ mmg : '5.6.0'
+ mmgplugin: '4ea7299'
mpfr : 'native'
gdal : '2.4.0'
gmsh : '4.10.3_with_CAS_7.8'
--- /dev/null
+@echo off
+
+echo ##########################################################################
+echo mmg %VERSION%
+echo ##########################################################################
+
+if NOT exist "%PRODUCT_INSTALL%" mkdir %PRODUCT_INSTALL%
+mkdir %PRODUCT_INSTALL%\bin
+
+cd %SOURCE_DIR%
+xcopy %SOURCE_DIR%\*.exe %PRODUCT_INSTALL%\bin /E /I /Q
+if NOT %ERRORLEVEL% == 0 (
+ echo ERROR on xcopy
+ exit 1
+)
+
+echo.
+echo ########## END
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "mmg " $VERSION
+echo "##########################################################################"
+
+echo "Installing binary version"
+if [ ! -d $PRODUCT_INSTALL ]; then
+ mkdir -p $PRODUCT_INSTALL
+fi
+ls $SOURCE_DIR -ltr
+mkdir -p $PRODUCT_INSTALL/bin
+cp -r $SOURCE_DIR/* $PRODUCT_INSTALL/bin
+
+for f in $(ls $PRODUCT_INSTALL/bin); do
+ chmod 755 $PRODUCT_INSTALL/bin/$f
+done
+
+echo
+echo "########## END"
+
--- /dev/null
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path
+import platform
+
+def set_env(env, prereq_dir, version):
+ env.set('MMG_ROOT_DIR', prereq_dir)
+ env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+
+def set_nativ_env(env):
+ pass
--- /dev/null
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path
+import platform
+
+def set_env(env, prereq_dir, version):
+ env.set('MMGPLUGIN_ROOT_DIR', prereq_dir)
+ env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'plugins'))
+
+def set_nativ_env(env):
+ pass
--- /dev/null
+default :
+{
+ name : "mmg"
+ build_source : "script"
+ compil_script : "mmg" + $VARS.scriptExtension
+ get_source : "archive"
+ environ :
+ {
+ env_script : $name + ".py"
+ }
+ depend : ["SMESH"]
+ build_depend : ["cmake"]
+ patches : []
+ source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+ build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+ install_dir : "base"
+ properties:
+ {
+ incremental : "yes"
+ }
+}
+
+default_win:
+{
+ properties :
+ {
+ incremental : "yes"
+ single_install_dir : "yes" # aimed to solve sat #18914
+ }
+}
+
+version_5_6_0 :
+{
+ compil_script : "mmg-5.6.0.sh"
+ archive_info : {archive_name : "mmg-5.6.0-Linux-4.4.0-170-generic-appli.tar.gz"}
+}
+
+
+version_5_6_0_win :
+{
+ compil_script : "mmg-5.6.0.bat"
+ archive_info : {archive_name : "mmg-5.6.0-Windows-10.0.19042-appli.tar.gz"}
+ properties :
+ {
+ incremental : "yes"
+ single_install_dir : "yes" # aimed to solve sat #18914
+ }
+}
--- /dev/null
+default :
+{
+ name : "mmgplugin"
+ build_source : "cmake"
+ cmake_options : ""
+ get_source : "git"
+ git_info:
+ {
+ repositories :
+ {
+ github : $PROJECTS.projects.salome.git_info.git_server.github.url + "mmgplugin.git"
+ }
+ }
+ patches : []
+ system_info :
+ {
+ rpm : []
+ rpm_dev : []
+ apt : []
+ apt_dev : []
+ }
+ environ :
+ {
+ env_script : $name + ".py"
+ }
+ depend : ["SMESH",
+ "mmg",
+ "PyQt",
+ "Python",
+ "numpy"
+ ]
+ build_depend : ["cmake", "cppunit"]
+ opt_depend : []
+ source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+ build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+ install_dir : 'base'
+ properties :
+ {
+ incremental : "yes"
+ single_install_dir : "no"
+ }
+}
+
+version_4ea7299:
+{
+ get_source : "archive"
+ archive_info: {archive_name: 'mmgplugin-4ea7299.tar.gz'}
+ patches : ['mmgplugin-4ea7299-p01_windows.patch']
+}
--- /dev/null
+diff --git a/myMmgPlugDialog.py b/myMmgPlugDialog.py
+index e03a576..4418d15 100644
+--- a/myMmgPlugDialog.py
++++ b/myMmgPlugDialog.py
+@@ -25,6 +25,7 @@ import os, subprocess
+ import tempfile
+ import re
+ import sys
++import platform
+ from mmgplugin.MyPlugDialog_ui import Ui_MyPlugDialog
+ from mmgplugin.myViewText import MyViewText
+ from qtsalome import *
+@@ -608,13 +609,13 @@ Default Values' button.
+ self.commande=""
+ selected_index = self.COB_Remesher.currentIndex()
+ if selected_index == REMESHER_DICT['MMGS']:
+- self.commande = "mmgs_O3"
++ self.commande = "mmgs_O3" if platform.system() != "Windows" else "mmgs.exe"
+ elif selected_index == REMESHER_DICT['MMG2D']:
+- self.commande = "mmg2d_O3"
++ self.commande = "mmg2d_O3" if platform.system() != "Windows" else "mmg2d.exe"
+ elif selected_index == REMESHER_DICT['MMG3D']:
+- self.commande = "mmg3d_O3"
++ self.commande = "mmg3d_O3" if platform.system() != "Windows" else "mmg3d.exe"
+ else:
+- self.commande = "mmgs_O3"
++ self.commande = "mmgs_O3" if platform.system() != "Windows" else "mmgs.exe"
+
+ deb=os.path.splitext(self.fichierIn)
+ self.fichierOut=deb[0] + "_output.mesh"